---

#! /lkp/lkp/src/jobs/stress-ng-1hdd.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
disk: 1HDD
testtime: 60s
fs: btrfs
stress-ng:
  test: getdent
job_origin: stress-ng-1hdd.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-icl-2sp8
tbox_group: lkp-icl-2sp8
branch: brauner-github/vfs.experiments
commit: '007604382bae5e5955ef294a676bd3eb1c1bbac2'
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-1HDD-btrfs-100%-getdent-60s-debian-12-x86_64-20240206.cgz-007604382bae-20241014-23139-1pulsc6-4.yaml"
id: ab3c7675891279ae1d3619ba4381a4f31b45bdfb
queuer_version: "/lkp/xsang/.src-20241014-122529"

#! hosts/lkp-icl-2sp8
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WX82EA06CSLM-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x69890014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- BLK_DEV_SD
- SCSI
- BLOCK: y
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: y
- BTRFS_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/disk/nr_hdd

#! include/stress-ng

#! include/testbox/lkp-icl-2sp8
ucode: '0xd0003a5'

#! include/fs/OTHERS
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-10-14 13:17:57.199928621 +08:00
compiler: gcc-12
_rt: "/result/stress-ng/performance-1HDD-btrfs-100%-getdent-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20241014-115511"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-1HDD-btrfs-100%-getdent-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2/vmlinuz-6.12.0-rc1-00003-g007604382bae
- branch=brauner-github/vfs.experiments
- job=/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-1HDD-btrfs-100%-getdent-60s-debian-12-x86_64-20240206.cgz-007604382bae-20241014-23139-1pulsc6-4.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=007604382bae5e5955ef294a676bd3eb1c1bbac2
- intremap=posted_msi
- acpi_rsdp=0x69890014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/fs_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240912.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-3be6dc267-1_20240912.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241008180645/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-1HDD-btrfs-100%-getdent-60s-debian-12-x86_64-20240206.cgz-007604382bae-20241014-23139-1pulsc6-4.cgz"
last_kernel: 6.12.0-rc1-00002-gd72d156a1254
acpi_rsdp: '0x6988d014'

#! user overrides
kbuild_queue_analysis: 1

#! /db/releases/20241010145345/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2/vmlinuz-6.12.0-rc1-00003-g007604382bae"
result_root: "/result/stress-ng/performance-1HDD-btrfs-100%-getdent-60s/lkp-icl-2sp8/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/007604382bae5e5955ef294a676bd3eb1c1bbac2/0"

#! /db/releases/20241012134741/lkp-src/include/site/inn
dequeue_time: 2024-10-14 14:30:45.908874911 +08:00
job_state: running
